import textboxTextState from './textboxTextState';


describe('textboxTextState', () => {

    it('should have sensible defaults', () => {
        const state = textboxTextState();
        expect(state).toEqual({ focus: false, rawValue: '', value: '' });
    });

    it('should set rawValue when setting value', () => {
        const state = textboxTextState({ value: 'a' });
        expect(state).toEqual({ focus: false, rawValue: 'a', value: 'a' });
    });

    it('should convert numeric value to string', () => {
        const state = textboxTextState({ value: 1 });
        expect(state).toEqual({ focus: false, rawValue: '1', value: '1' });
    });

});
