import Immutable from 'seamless-immutable';

import unmount, { reducer, type } from './unmount';


describe('unmount', () => {

    it('should unmount state', () => {
        const root = 'test';

        const action = unmount({ root });
        const state = reducer[type](Immutable({ [root]: { my: 'state' }, meta: { mounted: { [root]: true } } }), action);

        expect(state).toEqual({ meta: { mounted: {} } });
    });

});
