export default (value, decimals) => {
    value = parseFloat(typeof value === 'string' ? value.replace(/,/g, '.') : value);
    value = value.toFixed(2).toString().split('').reverse().join('').replace(/(\d{3})/g, '$1 ').split('').reverse().join('').trim().replace('.', ',');

    if (!decimals) {
        value = value.replace(/,.+/, '');
    }

    value = value.replace(/^-\s/, '-');
    value = value.replace('-', '&#8209;').replace(' ', '&nbsp;');

    return value;
};
